Subject: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focus whenit calls `list-processes'

From: martin rudalics <[email-masked]>
Date: Thu, 26 Jul 2012 18:52:25 +0200

> Yes, but (I think) I explained that I have a different command bound to `C-x k'.
 > That command proposes the name of (current-buffer) as the default value.  And as
 > I said, the name of the buffer returned by (current-buffer) here is in fact
 > " *Minibuf-0*".

I see.  But then where do you see a problem if your function prompts
with the current buffer for killing?  Do you ever want to kill the
minibuffer's buffer?  If not, your function should provide an
appropriate workaround default just as `call-interactively' does.

 >> IIUC it means that the current buffer is the buffer of the
 >> minibuffer window (how did that happen?)
 >
 > Yes, that is what I am seeing, confirmed by evaluating (current-buffer)
 > there/then.
 >
 >> but the minibuffer window is not selected.
 >
 > Are you sure?  How to know?

I assumed that you used `kill-buffer' with the standard prompt.  If you
use your own function, my conclusion is void.

martin